namespace BasicRx
{
    class Program
    {
        static void Main(string[] args)
        {
            Example4.AttachObserverToObservable();
            Example5.UseFilePusher();
            Example6.UseFilePusher();

            // Some of the examples run indefinitely. They are commented
            // out to enable the examples that follow to run. You can
            // uncomment them to try them.

            //Examples7_8.ObserveKeyWatcherIndefinitely();

            Example9.UseFilePusher();
            Example10.UseFilePusher();

            //Examples11_12.DelegateBasedHotSourceIndefinite();
            //Examples11_12.DelegateBasedSubscriptionIndefinite();

            Examples13_15.GenerateItems();
            //Examples13_15.GenerateItemsWithDelayIndefinite();

            Example18.WatchFoldersIndefinite();
        }
    }
}
